Ruby 2.7.0p0(2019-12-25revision647ee6f091eafcce70ffb75ddf7e121e192ab217)

Data Fields
rb_imemo_tmpbuf_struct Struct Reference

`#include <internal.h>`

## Data Fields
VALUE | flags
VALUE | reserved
VALUE * | ptr
struct rb_imemo_tmpbuf_struct * | next
size_t | cnt

## Detailed Description

Definition at line 1231 of file internal.h.

## Field Documentation

## ◆ cnt

size_t rb_imemo_tmpbuf_struct::cnt

Definition at line 1236 of file internal.h.

Referenced by rb_free_tmp_buffer().

## ◆ flags

VALUE rb_imemo_tmpbuf_struct::flags

Definition at line 1232 of file internal.h.

## ◆ next

struct rb_imemo_tmpbuf_struct * rb_imemo_tmpbuf_struct::next

Definition at line 1235 of file internal.h.

## ◆ ptr

VALUE * rb_imemo_tmpbuf_struct::ptr

Definition at line 1234 of file internal.h.

Referenced by rb_free_tmp_buffer().

## ◆ reserved

VALUE rb_imemo_tmpbuf_struct::reserved

Definition at line 1233 of file internal.h.

The documentation for this struct was generated from the following files:

- internal.h
- /msysdev/ruby/src/build-x86_64-pc-msys/include/ruby-2.7.0/x86_64-msys/rb_mjit_min_header-2.7.0.h